import { createBasicConfig } from '@open-wc/building-rollup';
import typescript from '@rollup/plugin-typescript';
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';

export default {
  ...createBasicConfig({}),
  input: './demo-auth/Auth.ts',
  output: {
    file: './www/demo-auth-dist/Auth.js',
  },
  plugins: [
    resolve({ browser: true, extensions: ['.js', '.ts'] }), // Resolves modules in node_modules
    commonjs(), // Converts CommonJS modules to ES modules
    typescript(),
  ],
};
